# Uses of Class
org.apache.lucene.monitor.QueryTree

- ## Uses of QueryTree in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor that return QueryTree
  Modifier and Type
  Method
  Description
  `static QueryTree`
  QueryTree.`anyTerm(String reason)`
  Returns a leaf node that will match any document
  `static QueryTree`
  QueryTree.`conjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a conjunction of a set of child nodes
  `static QueryTree`
  QueryTree.`disjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a disjunction of a set of child nodes
  `QueryTree`
  CustomQueryHandler.`handleQuery(Query query, TermWeightor termWeightor)`
  Builds a `QueryTree` node from a query
  `QueryTree`
  RegexpQueryHandler.`handleQuery(Query q, TermWeightor termWeightor)`
  `static QueryTree`
  QueryTree.`term(String field, BytesRef term, double weight)`
  Returns a leaf node for a particular term and weight
  `static QueryTree`
  QueryTree.`term(Term term, double weight)`
  Returns a leaf node for a particular term and weight
  `static QueryTree`
  QueryTree.`term(Term term, TermWeightor weightor)`
  Returns a leaf node for a particular term
  Methods in org.apache.lucene.monitor with parameters of type QueryTree
  Modifier and Type
  Method
  Description
  `Document`
  MultipassTermFilteredPresearcher.`buildQueryDocument(QueryTree querytree)`
  `protected Document`
  TermFilteredPresearcher.`buildQueryDocument(QueryTree querytree)`
  Builds a `Document` from the terms extracted from a query
  `protected Map<String,BytesRefHash>`
  TermFilteredPresearcher.`collectTerms(QueryTree querytree)`
  Collects terms from a `QueryTree` and maps them per-field
  Method parameters in org.apache.lucene.monitor with type arguments of type QueryTree
  Modifier and Type
  Method
  Description
  `static QueryTree`
  QueryTree.`conjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a conjunction of a set of child nodes
  `static QueryTree`
  QueryTree.`disjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a disjunction of a set of child nodes